Login via ABHA number - send ABHA (mobile) OTP
Starts login with an ABHA number. ABDM sends an OTP to the mobile registered with this ABHA.
Endpoint: POST /abha/api/v3/profile/login/request/otp
Flow: Login - ABHA Number (Mobile OTP) - step 1 of 2
- Previous: none (first call of this flow)
- Next: Login via ABHA number - verify ABHA (mobile) OTP
Headers (plus Authorization: Bearer <gateway token>):
| Header | Required | Description |
|---|---|---|
| REQUEST-ID | yes | Unique UUID for every request. |
| TIMESTAMP | yes | Current UTC timestamp in ISO-8601 format. |
Request body for this use case:
| Field | Value / Type | Required | Description |
|---|---|---|---|
scope |
["ABHA-login", "mobile-verify"] |
yes | Scope that selects this use case. Send exactly the values listed for this API. |
loginHint |
"ABHA-number" |
yes | Type of identifier sent in loginId. |
loginId |
string | yes | Identifier value, RSA-encrypted with the ABHA public certificate. |
otpSystem |
"ABDM" |
yes | System that generates and delivers the OTP (Aadhaar = UIDAI, ABDM = ABDM). |
Responses
200Success: Login Via ABHA Number - Using ABHA OTP - Send OTP
txnIdstringmessagestring400Bad Request (request validation failed): Login Via ABHA Number - Using ABHA OTP - Invalid Login Hint
txnIdstringtimestampstring401Unauthorized (invalid / expired gateway token, X-token or benefit access): Login Via ABHA Number - Using ABHA OTP- Invalid access token
codestringmessagestringdescriptionstring404Not Found: Resource not found
timestampstringpathstringdescriptionstringerrorstringrequestIdstring